ChatManager._SUB_TABLE = {
        --Unicode Chars are replaced in the chat with these mostly only used by mods
        [utf8.char(57364)] = "<Skull>" , --skull in chat
        [utf8.char(57363)] = "<Ghost>", --ghost in chat
        [utf8.char(139)] = "<LC>",
        [utf8.char(1014)] = "<DIV>", --the device symbol that pocohud uses what a pain comment this out if you unblock the general filter
}
ChatManager._BLOCK_PATTERNS = {
  --I still don't understand some of the blocking patterens very well.

  --Blocks anything, that starts with numbers and ':' and then has a divider (Might block other mods, not only Poco...)
  "[%d:]+%d:%d%d.-<DIV>.+",
  ------------------------------------------------------------------------------------------------------
  --Indivisual blocking patterens comment out the line above and uncomment the lines you want to block--
  ------------------------------------------------------------------------------------------------------
  ".-%[NGBTDW%].+",  --NGBTO blocker.
  ".-%[NGBTO%].+", --NGBTO blocker.
  ".-%[NGBTM%].+", --NGBTO blocker.
  ".-%[NGBTVH%].+", --NGBTO blocker.
  ".-%[NGBTH%].+", --NGBTO blocker. I know this will come at some point.
  
  --".-Replenished.+", --Heal up dialog on pocohud³
          
  --".- lost a minion to .+", --lost a minion text
          
  --".- converted a .+", -converted cop
          
  --".- was downed", --some one was downed
          
  --".- Used Pistol messiah, .-", --pistol messiah
          
  --".+ has been downed .+",  --downed and needs to patch up
          
  --".- is done", --thing done
          
  --".- < 10s left", --nearly done
          
  --".- has been captured .+", --captured a dom
          
  --".-<PocoHud³ r.-> <SKULL>Crew: .+", --general after heist kills r380+
  
  --".-<.-> .- .-<SKULL>.+", --kills and the likes for r380+ users
          
  --".+ is in custody!", --jail time
}
--the blocking filter code mess with it if you want.
        
   local _receive_message_original = ChatManager._receive_message
function ChatManager:_receive_message(channel_id, name, message, ...)
        for key, subst in pairs(ChatManager._SUB_TABLE) do
                message = message:gsub(key, subst)
        end
        for _, pattern in ipairs(ChatManager._BLOCK_PATTERNS) do
                if message:match("^" .. pattern .. "$") then
                        return
                end
        end
        return _receive_message_original(self, channel_id, name, message, ...)
end
